Bug 431707 - Review Request: sugar-toolkit - Sugar toolkit
Review Request: sugar-toolkit - Sugar toolkit
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomeu Vizoso
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraOLPCDelta
  Show dependency treegraph
 
Reported: 2008-02-06 11:32 EST by Marco Pesenti Gritti
Modified: 2010-06-11 00:33 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-11 20:11:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tomeu: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marco Pesenti Gritti 2008-02-06 11:32:56 EST
Spec URL: http://dev.laptop.org/~marco/sugar-toolkit.spec
SRPM URL: http://dev.laptop.org/~marco/sugar-toolkit-0.79.0-1.fc8.src.rpm
Description: Sugar is the core of the OLPC Human Interface. The toolkit provides
a set of widgets to build HIG compliant applications and interfaces
to interact with system services like presence and the datastore.
Comment 1 Tomeu Vizoso 2008-02-07 09:32:48 EST
rpmlint is silent.

The checkout instructions contain a typo:

- # cd sugartoolkit
+ # cd sugar-toolkit

The checkout instructions doesn't tell how to create the tarball contained in
the SRPM.

Source0 doesn't point to an existing tarball.

The rest looks good.
Comment 2 Kevin Fenzi 2008-02-07 14:28:23 EST
Did you mean to reject this package? fedora-review: - is usually reserved for
packages that can never meet the Fedora guidelines, ie they have a License issue
or the like. 

Set fedora-review: ? and assign this bug to yourself if you intend to review it. 
Comment 3 Tomeu Vizoso 2008-02-07 14:40:53 EST
oops, Kevin is right. I misunderstood the review process.
Comment 4 Marco Pesenti Gritti 2008-02-08 09:34:50 EST
I made Source0 point to an actual tarball which should address all your points
(checkout instructions are no more necessary).

http://dev.laptop.org/~marco/sugar-toolkit.spec
http://dev.laptop.org/~marco/sugar-toolkit-0.79.0-2.fc8.src.rpm
Comment 5 Tomeu Vizoso 2008-02-08 12:48:04 EST
Agreed.

Source0 has a type, though. Should be 'sources', not 'source'.

Please fix before importing to CVS.
Comment 6 Marco Pesenti Gritti 2008-02-08 13:15:30 EST
New Package CVS Request
=======================
Package Name: sugar-toolkit
Short Description: Sugar toolkit
Owners: mpg
Branches: F-8 OLPC-2
InitialCC: mpg
Cvsextras Commits: yes
Comment 7 Dennis Gilmore 2008-02-08 13:20:44 EST
cvs done
Comment 8 Brian Pepple 2008-05-25 16:46:17 EDT
Marco, has this been built?  If so, this bug can be closed.
Comment 9 Brian Pepple 2008-08-11 20:11:53 EDT
Closing, since this has been imported into cvs & built.
Comment 10 Marco Pesenti Gritti 2008-11-03 12:15:58 EST
Package Change Request
======================
Package Name: sugar-toolkit
New Branches: F-11
Comment 11 Marco Pesenti Gritti 2008-11-03 12:58:47 EST
Package Change Request
======================
Package Name: sugar-toolkit
New Branches: F-10
Comment 12 Dennis Gilmore 2008-11-03 14:08:30 EST
CVS Done
Comment 13 Tomeu Vizoso 2008-11-12 06:04:32 EST
Package Change Request
======================
Package Name: sugar-toolkit
New Branches: OLPC-4
Owners: mpg erikos tomeu
Comment 14 Kevin Fenzi 2008-11-12 11:52:14 EST
cvs done.
Comment 15 Peter Robinson 2010-06-10 16:51:05 EDT
Package Change Request
======================
Package Name: sugar-toolkit
New Branches: EL-6
Owners: pbrobinson sdz
Comment 16 Kevin Fenzi 2010-06-11 00:33:43 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.